//================================================================================
// Copyright (C) NAB 2012
//================================================================================

/// @file

#if !defined nab_Node_h
#define nab_Node_h

#include <boost/noncopyable.hpp>

namespace nab
{

		/// Base class for node obecjts of type T. This provides the basic handling of leaf and root cells.
	template <typename T>
	class Node:
		boost::noncopyable
	{
	public:

			/// Insert the specified root cell
			/// @param p The cell to insert
			/// @pre !hasRoot(p)
		virtual void pushRoot(T* p)
		{
		}

	};

}

#endif // nab_Node_h

//================================================================================
// Copyright (C) NAB 2012
//================================================================================
